thanks for this excellent library michael!



On Dec 1, 4:43=A0pm, Michael Granger <g... / FaerieMUD.org> wrote:
> Version 0.10.0 of pg, the PostgreSQL client library, has been released.
>
> =3D=3D Project Page
>
> =A0http://bitbucket.org/ged/ruby-pg/
>
> =3D=3D Installation
>
> =A0 $ sudo gem install pg
>
> If your compilation environment can't find the PostgreSQL client library,=
 you
> might have to show it where to look like so:
>
> =A0 $ sudo gem install pg -- \
> =A0 =A0 --with-pg-config=3D/opt/local/lib/postgresql90/bin/pg_config
>
> Note that this release does not include Windows binaries, as I wasn't abl=
e to get it to cross-compile with PostgreSQL-9.0.1 and OpenSSL-1.0.0a. I've=
 spent nearly three weeks trying to get it working, and I didn't want to de=
lay the release any longer because of it. Patches welcomed.
>
> =3D=3D Changes
>
> * Fixes for Ruby 1.9.2
> * Updated for PostgreSQL 9.0
> * Integrated support for Ruby 1.9's Encoding.default_internal. If you hav=
e
> =A0 a default_internal encoding set, it will be used for the client_encod=
ing
> =A0 of new synchronous connections. Asynchronous connections will have to=
 set
> =A0 client_encoding themselves, however, as it needs to be done after the
> =A0 connection is established.
> * Updated some of the examples
> * Updated the tests for RSpec 2